import { __ } from '@wordpress/i18n';

import { useState } from '@wordpress/element';

import { __experimentalLinkControl as LinkControl,
  BlockControls } from '@wordpress/block-editor';


import { RichText, MediaUpload, RichTextToolbarButton, AlignmentToolbar } from '@wordpress/block-editor';
import { Button,KeyboardShortcuts,
	ToolbarGroup , Dashicon, Modal, Autocomplete,Toolbar, ToolbarItem, TextControl, ToolbarButton } from '@wordpress/components';

import { rawShortcut, displayShortcut } from '@wordpress/keycodes';
import { link, linkOff } from '@wordpress/icons';



function URLPicker( {
	isOpen,
	url,
	links,
	setAttributes,
	opensInNewTab,
	onToggleOpenInNewTab,
} ) {
	const [ isURLPickerOpen, setIsURLPickerOpen ] = useState( false );
	const urlIsSet = !! url;
	const urlIsSetandSelected = urlIsSet;
	const openLinkControl = () => {
		setIsURLPickerOpen( true );
		setAttributes({isOpen:true});
		return false; // prevents default behaviour for event
	};
	const unlinkButton = () => {
		setAttributes( {
			url: undefined,
			linkTarget: undefined,
			rel: undefined,
		} );
		setIsURLPickerOpen( false );
	};
	const linkControl = ( isURLPickerOpen || urlIsSetandSelected ) && (
		<Modal
		title="Dr Affiliate Link Search"
		onRequestClose={ () => { setAttributes( {isOpen: false} ); console.log('hi') } }
		className="component-tooltip-modal"

	>
	  <div class="fancy-box-with-button">
		  <TextControl
			  placeholder="Search Link Title.."
			  onChange={ 
				( value ) => { 
				  setAttributes( { searchText: value } ) 
				  jQuery.ajax({
					type: "post",
					dataType: "json",
					url: "admin-ajax.php",
					data: {action: "get_data", search: value},
					success: function(msg){
						if(msg.success) {
						  setAttributes({ links: msg.result});
						}
					}
				  })
				}
			}
		  />
		  <Button >
				<Dashicon icon="search" />
		  </Button>
	  </div>
	  <br/>
	  <em>Click on Result to Add Affiliate Link to Post:</em>
	  <ul className="suggestion-list">
		{ links != null && links.map(r => (
		  <li 
		  className="clickablekeys"
			key={r.id} 
			onClick={
			  value => {
				/// check gutenberg github project
				setAttributes({ linkURL: r});
				console.log(r);
				setAttributes( {isOpen: false} )
				// dispatch('custom_store/main').update({url1: r});
				return (
				  <RichText.Content
					  tagName="a"
					  href={ r.cloaked_url }
					  title={ r.title }
					  value={ r.title }
				  />

				  
				);
			  }
			}
		  >
			{r.title}
		  </li>
	  ))
	 }</ul>
	</Modal>
	);
	return (
		<>
			<BlockControls>
				<ToolbarGroup>
					{ ! urlIsSet && (
						<ToolbarButton
							name="link"
							icon={ link }
							title={ __( 'Link' ) }
							onClick={ openLinkControl }
						/>
					) }
					{ urlIsSetandSelected && (
						<ToolbarButton
							name="link"
							icon={ linkOff }
							title={ __( 'Unlink' ) }
							onClick={ unlinkButton }
							isActive={ true }
						/>
					) }
				</ToolbarGroup>
			</BlockControls>
			{ linkControl }
		</>
	);
}


export default URLPicker;