<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://devrohit.com/
 * @since      1.2.2
 *
 * @package    Dr_Affilate
 * @subpackage Dr_Affilate/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap">
    <?php if(isset($_GET['link']) && isset($_GET['action'])) {
        if($_GET['action']=='delete') {
            global $wpdb;
            $deleteData = validateLink($_GET);
            $table_name = $wpdb->prefix."dr_affiliate_geolocation";
            $wpdb->delete( $table_name, array( 'affiliate_id' => $deleteData['link_id'] ) );

            $table_name = $wpdb->prefix . "dr_affiliate"; 
            // delete updater from table
            $wpdb->delete( $table_name, array( 'id' => $deleteData['link_id'] ) );
            echo "<script>alert('Affiliate Link Deleted Successfully')</script>";
        }
    }
    function validateLink($input) {
        $data=[];
        $data['link_id'] = sanitize_text_field($input['link']);
        return $data;
    }
    ?>
    <h2 class="">Affiliate Links <a href="?page=add-dr-affiliate-slug" class="page-title-action">New Affiliate Link</a></h2>
    <!-- <div style="width: 800px; height:400px;">
        <canvas id="myChart" width="800" height="400"></canvas>
    </div> -->
    <div class="tablenav top">
        <table id="affilate_table" class="wp-list-table widefat fixed striped table-view-list pages">
            <thead>
                <tr>
                    <th>#</th>
                    <th>Title</th>
                    <th>Status</th>
                    <th>Redirect Type</th>
                    <th>Cloaked URL</th>
                    <th>Link Destination</th>
                    <th>Date</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                <?php
                    global $wpdb;
                    $table_name = $wpdb->prefix . "dr_affiliate"; 
                    $links = $wpdb->get_results("SELECT * FROM $table_name");
                    foreach ($links as $index=>$link) {
                        echo '<tr><td>'.++$index.'</td><td>'.$link->title.'</td><td>'.(($link->status==1)? 'Active': 'InActive').'</td><td>'.$link->redirect_type.'</td><td>';
                        echo '<div class="ta-display-input-wrap"><input style="width:100%;" type="text" value="'.$link->cloaked_url.'" readonly="">'.'</td><td><div class="ta-display-input-wrap"><input style="width:100%;" type="text" value="'.$link->link_destination.'" readonly="">'.'</td><td>'.date('d-M-Y h:i:s a',strtotime($link->created_at)).'</td><td>';
                        echo '<a href="?page=add-dr-affiliate-slug&link='.$link->id.'"><span class="dashicons dashicons-edit"></span></a>&nbsp;<a href="?page=dr-affiliate-slug&link='.$link->id.'&action=delete"><span class="dashicons dashicons-trash"></span></a></td></tr>';
                    }
                ?>
            </tbody>
        </table>
    </div>
</div>