<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://devrohit.com/
 * @since      1.2.2
 *
 * @package    Dr_Affilate
 * @subpackage Dr_Affilate/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.2.2
 * @package    Dr_Affilate
 * @subpackage Dr_Affilate/includes
 * @author     Rohit Urane <rohiturane50@gmail.com>
 */
class Dr_Affilate_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.2.2
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'dr-affilate',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
